`Do.universal.tree.Funcat.up` <-
function() {
  if (!exists("FID2TERM"))
	  data(FID2TERM);
		
	# preparing nodes
	fnodes<-ls(FID2TERM);	
	names(fnodes)<-fnodes;

  # preparing edges
	fedges <- lapply(fnodes,function (x) { return(x<-list(edges=character(0)))});

  l<-sapply(fnodes, function(x) strsplit(x,"\\."));
  n.nodes <- length(l);
	
	for (i in 2:n.nodes) {
	  len <- length(l[[i]]);				
	  if  (len == 1)  { # a "top level class"
		  child <- l[[i]][1];
		  fedges[[child]]$edges[length(fedges[[child]]$edges)+1] <- "00";
		} else { # a lower level class
		  parent <- l[[i]][1];
			if (len > 2)
		    for (j in 2:(len-1)) 
			    parent <- paste(parent, ".", l[[i]][j], sep="");
			fedges[[fnodes[i]]]$edges[length(fedges[[fnodes[i]]]$edges)+1] <- parent;		
		}	
	}
	
	# building the universal tree
	g <- new("graphNEL", nodes=fnodes, edgeL=fedges, edgemode="directed");
	
	return(g);
}

