`Get.matrix.data.for.two.selected.classes` <-
function(Table.gene.class,classid1,classid2,data.matrix){
  cl1.genes <- Extract.class(Table.gene.class,classid1);
  cl2.genes <- Extract.class(Table.gene.class,classid2);

  gene.names.data<-rownames(data.matrix);
	cl1.common.genes <- intersect(as.character(cl1.genes$gene.names),gene.names.data);
	cl2.common.genes <- intersect(as.character(cl2.genes$gene.names),gene.names.data);
	
	n1 <- length(cl1.common.genes);
	n2 <- length(cl2.common.genes);
	
	if ((n1==0) || (n2==0))
	  stop("Get.matrix.data.for.two.selected.classes: there are no examples for at least one of the classes");
	
  X <- data.matrix[c(cl1.common.genes,cl2.common.genes),];
  X[is.na(X)] <- 0;
		
	y <- as.factor(c(rep(1,n1),rep(2,n2)));
	return (list(X=X,labels=y, n.pos=n1, n.neg=n2));
}

