\name{ATFUNCAT}
\alias{ATFUNCAT}
\docType{data}
\title{ AGI identifiers to Functional Classification (FunCat) mapping}
\description{
  This environment provides a mapping between A.thaliana genes and FunCat classes.
}
\usage{data(ATFUNCAT)}
\format{
  An environment with 26639 entries
}
\details{
  The environment ATFUNCAT maps AGI IDs of the  A.thaliana to the Funcat ID of the classes 
	(\url{http://mips.gsf.de/projects/funcat}).
  Each entry associates the AGI ID to the the list of the Funcat ID. 
	More precisely each Value is a list of lists. Each element of the outer list correspond to an association to a Funcat class.
	The elements of the inner list are :
	FuncatID the store the identifier of the Funcat class and Evidence that stores the Funcat numeric
	identifier of the evidence of the annotation. No evidence code is available at the moment (all the Evidence fields are empty).
  The annotation is conformed to the funcat-2.1 scheme.
}
\source{
  Data have been downloaded from the MIPS Arabidopsis thaliana Database: 
  \url{ftp://ftpmips.gsf.de/plants/cress/funcatdump_v220306}
}
\examples{
data(ATFUNCAT)
get("at1g01100",ATFUNCAT);
}
\keyword{datasets}
