\name{Build.Funcat.graph.from.selected.nodes}
\alias{Build.Funcat.graph.from.selected.nodes}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Construction of a subgraph of a given FunCat graph }
\description{
  It builds a subgraph of a given FunCat graph from a list of Funcat classes (nodes).
}
\usage{
Build.Funcat.graph.from.selected.nodes(g, nodes, transitive.closure = TRUE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{g}{ a FunCat graph }
  \item{nodes}{ list or character vector of the selected nodes }
  \item{transitive.closure}{ if TRUE (default) the nodes used for building the graph are obtained by transitive closure of nodes }
}
\details{
  The subgraph can be obtained from a list of selected nodes or by transitive closure from a list of selected nodes
  If some of the selected nodes are not present in the graph the execution is aborted with an error message.
	Note that we always obtain trees, because all FunCat graphs are trees.
}
\value{
  a subgraph of class graphNEL extracted from the graph g
}

\seealso{ \code{\link{Funcat.transitive.closure}}, \code{\link{Do.universal.tree.Funcat}} }
\examples{
# building a subtree with yeast specific nodes 
Yeast.Funcat.specific <- Get.yeast.Funcat.specific.classes();
t <- Do.universal.tree.Funcat();
nodes <- Get.classes(Yeast.Funcat.specific);
st <- Build.Funcat.graph.from.selected.nodes(t, nodes, transitive.closure = TRUE)
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ graphs }
