\name{Count.examples.per.class}
\alias{Count.examples.per.class}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Counting the number of examples for each class }
\description{
  Function to compute the number of examples per class.
   It may be used with both GO and Funcat ontologies
}
\usage{
Count.examples.per.class(Table.gene.class)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{Table.gene.class}{ a data frame with variables corresponding to GO/Funcat classes and rows to a given gene. If a gene
belongs to the GO/Funcat class the corresponding variable is set to 1 otherwise to 0 }
}
\value{
  A list with two elements:
  \item{counts }{a vector with the number of examples for each class}
  \item{counts.freq }{a table with the frequencies of the classes with respect to the number of gene/examples}
}
\examples{
# counting the number of examples for each class in yeast (FunCat)
data(YEASTFUNCAT);
Yeast.Funcat.specific <- Get.Funcat.specific.classes(YEASTFUNCAT);
Yeast.Funcat.general <- Get.Funcat.all.classes(Yeast.Funcat.specific);
Yeast.Funcat.Table <- Build.Funcat.Table.labels(Yeast.Funcat.general);
l <- Count.examples.per.class(Yeast.Funcat.Table);
}
\keyword{ manip }
