\name{Do.data.homology}
\alias{Do.data.homology}
\alias{Do.binary.data.homology}
\alias{Do.float.data.homology}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Function to build homology (phylogenetic) data. }
\description{
  These functions build homology data matrices for different species. The homology data can be in  binary format (1 homology),
	(0 no homology) or real values between 0 and 1 corresponding to the percentage of identical base pair alignments between 
	the homologous genes. Data matrices are built using lists obtained by \code{Build.list.arabidopsis.homology.data},
	\code{Build.list.mouse.homology.data}, \code{Build.list.human.homology.data}, \code{Build.list.yeast.homology.data}.
}
\usage{
Do.binary.data.homology(l)
Do.float.data.homology(l)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{l}{ a list of lists of homology data. Note that this must be a named list having name of the genes as names }
}
\details{
  Each element of the list represent a list of four elements of the same types as described in
	\code{Build.list.homology.data}.
	The function \code{Do.binary.data.homology} returns binary homology data: each column of the matrix corresponds to a given genome
	and it is set to 1 if there is a homology, 0 otherwise.
	The function \code{Do.float.data.homology} returns real valued homology data: each column of the matrix corresponds to a given genome
	and it is set with a value from 0 to 1 depending on the percentage of identical base pair alignments between 
	the homologous genes.
}
\value{
  a matrix : rows are genes and columns correspond to homologies with other species.
           Each column corresponds to a species: a 1 entry corresponds to a homology, 0 otherwise (\code{Do.binary.data.homology}),
					 or values are between 0 and 1 (\code{Do.float.data.homology})
					 
}
\seealso{ \code{\link{Build.list.arabidopsis.homology.data}}, \code{\link{Build.list.mouse.homology.data}}, 
          \code{\link{Build.list.human.homology.data}}, \code{\link{Build.list.yeast.homology.data}}  }
\examples{
# Building the matrix m of binary homology data for the yeast
l<-Build.list.yeast.homology.data();
m <- Do.binary.data.homology(l);
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ manip }
