\name{Do.universal.tree.Funcat}
\alias{Do.universal.tree.Funcat}
\alias{Do.universal.tree.Funcat.up}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Generation of the universal tree of the FunCat taxonomy }
\description{
 Functions to build the universal tree of the FunCat ontology.
	The function \code{Do.universal.tree.Funcat} builds a tree with edges from the root to the leaves (from top to bottom).
	The function \code{Do.universal.tree.Funcat.up} builds a tree with edges from the children to the parent (from bottom to up).
}
\usage{
Do.universal.tree.Funcat()
Do.universal.tree.Funcat.up()
}
\details{
  The "universal" tree of the FunCat ontology (\url{http://mips.gsf.de/projects/funcat}) is built and represented as a graph
	of class graphNEL (see package \pkg{graph}). It collects all the available FunCat classes according to the FunCat scheme 2.1.
	Actually 1363 nodes are available.
}
\value{
  the tree of the Funcat classes stored as a graph of class graphNEL.
}
\note{ A dummy root node with Funcat ID 00 is added in order to obtain  a single tree from the FunCat forest.
In the scheme 2.1 the node 40.02 is missed (but its child 40.02.03 is present instead), hence to avoid inconsistencies we 
added the node 40.02.
}
\examples{
# Building the universal tree of FunCat
t <- Do.universal.tree.Funcat();
t
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ graphs }

