\name{Funcat.transitive.closure}
\alias{Funcat.transitive.closure}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Function to compute the transitive closure of a given list of FunCat classes }
\description{
  This function deduces all the FunCat classes  of a given set of classes, using the transitive
	property of the relationships between FunCat classes.
	It obtains all the ancestors of a given list of FunCat classes.
	This fuction can by used with lapply to obtain all the Funcat classes from a list of named vectors of specific Funcat classes
}
\usage{
Funcat.transitive.closure(x)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{ a vector of Funcat classes }
}
\value{
  A vector of Funcat classes obtained by transitive closure from the x Funcat classes
}
\seealso{ \code{\link{Get.Funcat.all.classes}}, \code{\link{Build.Funcat.graph.from.selected.nodes}} }
\examples{
Funcat.transitive.closure("12.01.01");
Funcat.transitive.closure(c("12.01.01","42.16"));
# Obtaining the list of all the ancestors of all the classes with some annotated genes in the yeast
Yeast.Funcat.specific <- Get.yeast.Funcat.specific.classes();
l <- lapply(Yeast.Funcat.specific, Funcat.transitive.closure);
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ manip }
\keyword{ graphs }
