\name{Get.Funcat.all.classes}
\alias{Get.Funcat.all.classes}
\alias{Get.yeast.Funcat.all.classes}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Function that provides all the FunCat classes for a list of genes}
\description{
 Function that provides all the FunCat classes for a list of genes. 
 The classes are obtained by transitive closure.
}
\usage{
Get.Funcat.all.classes(NamesToFuncat)
Get.yeast.Funcat.all.classes(NamesToFuncat)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{NamesToFuncat}{ named list of vectors. Each element of the list corresponds to a named gene and the elements
   of the vector are the corresponding Funcat classes ID. }
}
\details{
   For each gene and its associated more specific FunCat class annotation, the corresponding ancestor FunCat classes
	 are obtained. More precisely a list whose elements are vectors of FunCat ID associated to each gene is returned.
	 The argument of the function is a list of named vectors, as returned by \code{Get.Funcat.specific.classes}.
	 From the list of the most specific annotated genes, all the FunCat annotations, by transitive closure, are returned.
	 Note that a dummy "00" class (corresponding to the overall root node) is added to all the annotated genes: in this way
	 we obtain a unique tree form the FunCat forest.
	 \code{Get.yeast.Funcat.all.classes} is equal to \code{Get.Funcat.all.classes} and it is maintained only for back-compatibility.
	 Its use is deprecated.
}
\value{
  A list : each element of the list corresponds to a named  vector (the name corresponds to the name of a gene) and the elements
 of the vector are the corresponding Funcat classes ID obtained by transitive closure from \code{NamesToFuncat}.
}
\seealso{ \code{\link{Funcat.transitive.closure}}, \code{\link{Get.Funcat.specific.classes}} }
\examples{
# Obtaining all the available FunCat annotations for the genes of A. thaliana
data(ATFUNCAT);
AT.specific <- Get.Funcat.specific.classes (ATFUNCAT, evidence="");
AT.general <- Get.Funcat.all.classes(AT.specific);
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ manip }
\keyword{ graphs }
