\name{Get.GO.specific.classes}
\alias{Get.GO.specific.classes}
\alias{Get.yeast.GO.specific.classes}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Function to get all the most specific GO classes for each  gene}
\description{
 This function gets all the most specific classes for each  gene, for a given species, GO ontology and evidence.
 It obtains, from the environment mapping gene IDs of a given species to the most specific GO annotation,
	a corresponding list of named vectors. Each elemnent of the list corresponds to a named gene, and the vector
	to the GO IDs of the most specific annotated classes.
}
\usage{
Get.GO.specific.classes(ontology = "BP", gene2GO = YEASTGO, evidence = "")
Get.yeast.GO.specific.classes(ontology = "BP", evidence = "")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{ontology}{ the ontology to be selected: it needs to be: "BP" (def.), "MF" or "CC" }
  \item{gene2GO}{ an environment that maps genes for a given species to GO classes. }
  \item{evidence}{ evidence code. It may be a vector with 1 or more of the following entries:
	     \item IMP: inferred from mutant phenotype
       \item IGI: inferred from genetic interaction
       \item IPI: inferred from physical interaction
       \item ISS: inferred from sequence similarity
       \item IDA: inferred from direct assay
       \item IEP: inferred from expression pattern
       \item IEA: inferred from electronic annotation
       \item TAS: traceable author statement
       \item NAS: non-traceable author statement
       \item ND: no biological data available
       \item IC: inferred by curator 
       \item "": no entry: all the evidence codes are accepted (default) 	
	 }
}
\value{
  It returns a named list of vectors. Each element of the list corresponds to a named  gene and the elements
  of the vector are the corresponding GO classes ID. 
}
\details{
The function \code{Get.yeast.GO.specific.classes} it is equivalent to \code{Get.GO.specific.classes},
but restricted to the yeast.
}
\seealso{ \code{\link{Get.GO.all.classes}} }
\examples{
# Obtaining the most specific GO annotations for the Cellular Component ontology for the genes of Mus musculus
data(MOUSEGO);
Mouse.specific <- Get.GO.specific.classes (ontology="CC", gene2GO=MOUSEGO, evidence="");
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ manip }
\keyword{graphs }
