\name{Graphics.cardinality.labels}
\alias{Graphics.cardinality.labels}
\alias{Do.table.hist.cardinality.labels}
\alias{Do.ecdf.cardinality.labels}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Graphic functions to represent the distribution of the cardinality of gene labels }
\description{
  These functions plot the distribution of the cardinality of the labels associated to each gene.
	It may be used with both GO and Funcat ontologies.
	The functions plot the empirical cumulative distribution (\code{Do.ecdf.cardinality.labels}), 
	and the histograms of the cardinality of the labels associated to each gene (\code{Do.table.hist.cardinality.labels}).
}
\usage{
Do.table.hist.cardinality.labels(NamesToGO, title = "")
Do.ecdf.cardinality.labels(NamesToGO, title = "")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{NamesToGO}{ named list of vectors. Each element of the list corresponds to a named  gene and the elements
 of the vector are the corresponding functional classes ID.  }
  \item{title}{ character vector for the title of the ecdf }
}
\value{
  summary table of the frequencies of the cardinality of the labels per gene is returned by the function
	\code{Do.table.hist.cardinality.labels} 
}
\examples{
# Plot of the histogram and ecdf of the cardinality of gene labels in yeast
Yeast.specific <- Get.yeast.GO.specific.classes();
Do.table.hist.cardinality.labels (Yeast.specific, title="Distribution of the numbers of labels per gene (more specific classes only) in S.cerevisiae");
x11();Do.ecdf.cardinality.labels(Yeast.specific);
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ hplot }
