\name{Select.GO.rooted.classes}
\alias{Select.GO.rooted.classes}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Selection of nodes rooted on a set of given nodes in a given GO graph }
\description{
It selects from a GO graph nodes rooted in a set of given nodes
From a given GO graph a subset of nodes rooted on a set of given nodes is selected.
Only nodes that belong to the graph are selected: nodes rooted on the given nodes in th ontology but that 
do not belong to the given Go graph are discarded.
}
\usage{
Select.GO.rooted.classes(g, root.nodes, ontology="BP")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{g}{ a GO graph }
  \item{root.nodes}{ character vector of the root nodes }
  \item{ontology}{  BP (default), MF, CC }
}
\value{
  a  vector of the GOID of the selected nodes
}
\seealso{ \code{\link{Select.GO.classes.by.distance}}, \code{\link{Select.functional.classes.by.cardinality}},
 \code{\link{Subtree.nodes}}}
\examples{
# Selection of the nodes rooted in the node GO:0006605 (protein targeting)
g <- Build.universal.graph.ontology.down();
Select.GO.rooted.classes(g, "GO:0006605", ontology="BP")
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ graphs }
