\name{AnalyzeFuncatDepth}
\alias{Get.depth.Funcat.labels}
\alias{Get.leaf.distribution.by.depth.Funcat.labels}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Functions to analyze the depth of FunCat nodes }
\description{
  Functions to analyze the depth of FunCat nodes and the distribution of the leaves in FunCat trees
}
\usage{
Get.depth.Funcat.labels(nodes)
Get.leaf.distribution.by.depth.Funcat.labels(g)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{nodes}{ a list(vector) of FunCat nodes }
	\item{g}{ a FunCat graph }
}
\details{
  \code{Get.depth.Funcat.labels} is a function that provides  the depths of FunCat classes
	\code{Get.leaf.distribution.by.depth.Funcat.labels} computes the distribution of the leaves per depth of a FunCat tree.
	 It returns how many leaves are present for each level (depth) of the tree. 
   Note that the level of the root nodes  is set to 1.
}
\value{
\code{Get.depth.Funcat.labels} returns a vector with the depth of Funcat classes supplied as arguments.
\code{Get.leaf.distribution.by.depth.Funcat.labels} returns a list with 4 elements:
\item{num.levels}{the number of levels (depth) of the FunCat tree. Note that the root is considered of depth }
\item{num.leaves.per.level}{a vector with the number of leaves for each depth}
\item{num.no.leaves.per.level}{a vector with the number of nodes that are not leaves for each depth}
\item{ratio.leaves.per.level}{the ratio of the leaves for each depth}
}

\seealso{ \code{\link{GetFuncatDepth}} }
\examples{
# doing universal graph of Funcat classes
g <- Do.universal.tree.Funcat();
# Getting leaf distribution of the universal FunCat tree
Get.leaf.distribution.by.depth.Funcat.labels(g);
# Getting the depths of all FunCat classes 
Get.depth.Funcat.labels(nodes(g))
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ graphs }
