\name{Build.class.labels.from.selected.classes}
\alias{Build.class.labels.from.selected.classes}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Extraction of a subset of classes from a given functional table }
\description{
 It extracts from a given table of genes-->classes (functional table) a subtable with the given subset of classes.
 It may be used with both GO and Funcat ontologies
 If some of the selected classes are not present in the Table the execution is aborted with an error message. 
}
\usage{
Build.class.labels.from.selected.classes(Table.classes, classes)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{Table.classes}{ a data frame with rows corresponding to genes and columns to classes. If a gene
                        belongs to the GO/Funcat class the corresponding variable is set to 1 otherwise to 0 }
  \item{classes}{ list or character vector of the selected Funcat/GO classes }
}
\value{
  a data frame extracted from Table.classes according to the selected classes
}

\seealso{ \code{\link{Build.GO.class.labels}},  \code{\link{Build.Funcat.Table.labels}} }
\examples{
# building of a data frame with FunCat classes with more than 100 examples for the yeast
Yeast.Funcat.specific <- Get.yeast.Funcat.specific.classes();
Yeast.Funcat.general <- Get.Funcat.all.classes(Yeast.Funcat.specific);
Yeast.Funcat.Table <- Build.Funcat.Table.labels(Yeast.Funcat.general);
nodes <- Select.functional.classes.by.cardinality(Yeast.Funcat.Table, 100);
Yeast.Funcat.Table.100 <- Build.class.labels.from.selected.classes(Yeast.Funcat.Table, nodes);
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ manip }
