\name{Compute.depth.statistics.Funcat.labels}
\alias{Compute.depth.statistics.Funcat.labels}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Statistics about the distribution of the depth of FunCat classes }
\description{
  Function that provides statistics about the distribution of the depth of FunCat classes.
	It computes the average median, standard deviation and main quantiles of the depths of FunCat nodes.
}
\usage{
Compute.depth.statistics.Funcat.labels(nodes)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{nodes}{ a list(vector) of FunCat nodes }
}
\value{
  A list with four elements:
  \item{avg }{mean value of the depth of FunCat classes}
  \item{median }{median value of the depth of FunCat classes}
  \item{sd }{standard deviation of the depth of FunCat classes}
	\item{quant }{0\%, 25\%, 50\%, 75\%, 100\% quantile of the the depth of FunCat classes}
}
\seealso{  \code{\link{Compute.depth.statistics.GO.graph}} }
\examples{
# Computing depth statistics of the FunCat nodes related to S. cerevisiae
Yeast.Funcat.specific <- Get.yeast.Funcat.specific.classes();
Yeast.Funcat.general <- Get.Funcat.all.classes(Yeast.Funcat.specific);
classes<-Get.classes(Yeast.Funcat.general);
Compute.depth.statistics.Funcat.labels(classes);
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{univar}

