\name{GO.transitive.closure}
\alias{GO.transitive.closure}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Function to compute the transitive closure of a given list of GO classes }
\description{
  This function deduces all the GO classes  of a given set of classes, using the transitive
	property of the relationships between GO classes.
	It obtains all the ancestors of a given list of GO classes, using the environments GOXXANCESTOR of the GO package.
  This fuction should by used with lapply to obtain all the GO classes from a list of named vectors of specific GO classes
}
\usage{
GO.transitive.closure(x, ontology="BP")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{ a vector of GO classes }
	\item{ontology}{ a character vector denoting the ontology : BP (default), MF, CC }
}
\value{
   A vector of GO classes obtained by transitive closure of the x GO classes
}
\note{ 
  If in the argument x are supplied non existing GO IDs, then the GOID of the root of the selected ontology is returned.
	This could be useful if you supply new GO IDs that are no registered in the current version of the GO library.
}
\seealso{ \code{\link{Build.GO.graph.from.selected.nodes}},  \code{\link{Get.GO.all.classes}}}
\examples{
GO.transitive.closure("GO:0000723")
GO.transitive.closure(c("GO:0000723","GO:0005977","GO:0030437"));
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ manip }
\keyword{ graphs }
