\name{Get.GO.all.classes}
\alias{Get.GO.all.classes}
\alias{Get.yeast.GO.all.classes}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Function that provides all the GO classes for a list of genes }
\description{
  Function that provides all the FunCat classes for a list of genes.
	The classes are obtained by transitive closure.
}
\usage{
Get.GO.all.classes(NamesToGO, ontology="BP")
Get.yeast.GO.all.classes(NamesToGO, ontology="BP")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{NamesToGO}{ named list of vectors. Each element of the list corresponds to a named  gene and the elements
 of the vector are the corresponding GO classes ID.}
 \item{ontology}{ a character vector denoting the ontology : BP (default), MF, CC }
}
\details{
  For each gene and its associated more specific GO class annotation, the corresponding ancestor GO classes
	 are obtained. More precisely a list whose elements are vectors of GO ID associated to each gene is returned.
	 The argument of the function is a list of named vectors, as returned by \code{Get.GO.specific.classes}.
	 From the list of the most specific annotated genes, all the GO annotations, by transitive closure, are returned.
	 The function \code{Get.yeast.GO.all.classes} is equal to \code{Get.GO.all.classes}, and it is maintained
	 only for back-compatibility. In any case its use is deprecated.
}
\value{
  A list : each element of the list corresponds to a named  gene and the elements
 of the vector are the corresponding GO classes ID obtained by transitive closure from \code{NamesToGO}.
}
\seealso{ \code{\link{GO.transitive.closure}}, \code{\link{Get.GO.specific.classes}} }
\examples{
# Obtaining all the available GO annotations for the Cellular Component ontology for the genes of Mus musculus
data(MOUSEGO)
Mouse.specific <- Get.GO.specific.classes (ontology="CC", gene2GO=MOUSEGO, evidence="");
Mouse.general <- Get.GO.all.classes(Mouse.specific,ontology="CC");
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ manip }
\keyword{graphs}
