\name{Plot.ontology.graph}
\alias{Plot.ontology.graph}
\alias{Pretty.plot.graph}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Plotting graphs of the GO and FunCat }
\description{
  Functions to plot in compact way complex graphs of the GO or FunCat
}
\usage{
Plot.ontology.graph(g, node.label = "x", fcolor = "black")
Pretty.plot.graph(g, fontsize = 12, fillcolor = "lightgreen", height = 0.6, width = 0.9, color = "black", fontcolor = "black")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
\item{g}{ a GO or FunCat graph }
\item{node.label}{ a label plotted for each node }
\item{fcolor}{ color of the node label }
\item{fontsize}{ size of the fonts }
\item{fillcolor}{ color to fill the nodes }
\item{height}{ height of the nodes }
\item{width}{ width of the nodes }
\item{color}{ color of the edges }
\item{fontcolor}{ color of the font }
}
\details{
The functions use the plotting graph facilities provided by the package \pkg{Rgraphviz}.
\code{Plot.ontology.graph}  plot in compact way complex graphs.
\code{Pretty.plot.graph}   to "pretty" plot not too complex graphs.
}
\examples{
# Plotting Yeast FunCat classes with more than 100 examples and with TAS evience:
Yeast.specific.TAS <- Get.yeast.GO.specific.classes(evidence="TAS");
Yeast.general.TAS <- Get.yeast.GO.all.classes(Yeast.specific.TAS);
Yeast.general.classes.TAS <- Build.GO.class.labels(Yeast.general.TAS);
GO.classes.TAS.100 <- Select.functional.classes.by.cardinality(Yeast.general.classes.TAS, 100);
gBP.universal.ontology <- Build.universal.graph.ontology.down();
gYeast.TAS.card.100 <- subGraph(GO.classes.TAS.100, gBP.universal.ontology);
Pretty.plot.graph(gYeast.TAS.card.100,fontsize=12,fillcolor="lightgreen",height=0.9,width=1.2,color="black", fontcolor="black");
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ hplot }

