\name{Select.Funcat.classes.by.depth}
\alias{Select.Funcat.classes.by.depth}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Selection of nodes at a given depth in the FunCat trees }
\description{
 It selects a set of nodes at a given distance from the root of the Funcat tree
 In particular it selects all the nodes at a distance equal or less or equal than a given depth.
}
\usage{
Select.Funcat.classes.by.depth(g, distance = 1, only.equal = FALSE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{g}{ a graph of the FunCat tree }
  \item{distance}{ distance  from the root: all the nodes at a distance equal or less or equal (default) than distance are chosen }
  \item{only.equal}{ if TRUE only the nodes at a given distance are selected, otherwise all the nodes at a distance equal or less (default). }
}
\value{
  a  vector of the Funcat ID of the selected nodes
}
\seealso{ \code{\link{Select.functional.classes.by.cardinality}} }
\examples{
# selection at the nodes up to 2 depth in the universal FunCat tree:
gUniversalFuncat <- Do.universal.tree.Funcat();
nodes<-Select.Funcat.classes.by.depth(gUniversalFuncat,2);
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ manip }
\keyword{ graphs }

