\name{Select.GO.classes.by.distance}
\alias{Select.GO.classes.by.distance}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Selection of nodes at a given distance from the root of a GO ontology }
\description{
It selects a set of GO nodes at a given distance from the root of a given ontology
In particular it selects all the nodes at a distance less or equal than the argument distance.
The distance is computed according to the shortest path from the root: all the nodes at a distance less or equal than 
a given distance are selected.
}
\usage{
Select.GO.classes.by.distance(g, distance = 1, ontology = "BP")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{g}{ a GO graph }
  \item{distance}{ distance (shortest path) from the root: all the nodes at a distance less or equal than distance are chosen }
  \item{ontology}{  BP (default), MF, CC }
}
\value{
  a  vector of the GOID of the selected nodes
}
\seealso{ \code{\link{Select.Funcat.classes.by.depth}}, \code{\link{Select.functional.classes.by.cardinality}} }
\examples{
# Selection of the nodes at distance equal or less than 3 in the GO BP ontology of the yeast.
gBP.universal.ontology2 <- Build.universal.graph.ontology.down();
Yeast.specific <- Get.yeast.GO.specific.classes();
Yeast.general <- Get.yeast.GO.all.classes(Yeast.specific);
BP.Yeast.classes <- Get.classes(Yeast.general);
gYeast.BP.2 <- subGraph(BP.Yeast.classes, gBP.universal.ontology2);
nodes<-Select.GO.classes.by.distance(gYeast.BP.2,3);
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ graphs }
