\name{Select.functional.classes.by.cardinality}
\alias{Select.functional.classes.by.cardinality}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Selection of  functional classes on the basis of their cardinality }
\description{
  The function selects functional classes (GO or FunCat classes) on the basis of their cardinality.
	By this function we can select only the classes with a number of positive examples larger than a given quantity.
}
\usage{
Select.functional.classes.by.cardinality(Table.gene.class, min.cardinality = 20)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{Table.gene.class}{  a data frame with variables corresponding to GO/Funcat classes and rows to a given gene. If a gene
 belongs to the GO/Funcat class the corresponding variable is set to 1 otherwise to 0 }
  \item{min.cardinality}{ a GO/Funcat class is selected if its cardinality is equal or larger than min.cardinality }
}
\value{
 a character vector with the GO/FunCat ID of the selected classes
}
\seealso{ \code{\link{Select.GO.classes.by.distance}}, \code{\link{Select.Funcat.classes.by.depth}} }
\examples{
Yeast.Funcat.specific <- Get.yeast.Funcat.specific.classes();
Yeast.Funcat.general <- Get.yeast.Funcat.all.classes(Yeast.Funcat.specific);
Yeast.Funcat.Table <- Build.Funcat.Table.labels(Yeast.Funcat.general);
# Selection of yeast classes with more than 50 genes
nodes <- Select.functional.classes.by.cardinality(Yeast.Funcat.Table, 50); 
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ manip }
\keyword{ graphs }% __ONLY ONE__ keyword per line
