\name{Compute.statistics.gene.labels}
\alias{Compute.statistics.gene.labels}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{ Statistics about the distribution of the gene labels }
\description{
  Function that provides statistics about the distribution of the gene labels. 
  It may be used with both GO and Funcat ontologies. It provides the mean, median, standard deviation and main 
	quantiles of the number of labels for each gene in GO or FunCat ontologies.
}
\usage{
Compute.statistics.gene.labels(NamesToGO)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{NamesToGO}{ named list of vectors. Each element of the list corresponds to a yeast gene and the elements
   of the vector are the corresponding GO/Funcat classes ID.  }
}
\value{
  A list with four elements:
  \item{avg}{mean value of the number of labels per gene}
  \item{median}{median value of the number of labels per gene}
  \item{sd}{standard deviation of the number of labels per gene}
  \item{quant}{0\%, 25\%, 50\%, 75\%, 100\% quantile of the number of labels per gene}
}
\examples{
# computing statistics about FunCat labels per gene in the yeast
Yeast.Funcat.specific <- Get.yeast.Funcat.specific.classes();
Yeast.Funcat.general <- Get.Funcat.all.classes(Yeast.Funcat.specific);
Compute.statistics.gene.labels(Yeast.Funcat.general);
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{univar}
